#
# spec file for package dtv-scan-tables
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           dtv-scan-tables
Version:        20240207
Release:        1.2
Summary:        Scan files for digital TV applications v3
License:        GPL-2.0-or-later AND LGPL-2.1-only
Group:          Hardware/TV
URL:            https://linuxtv.org/
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  dvb-utils
BuildRequires:  fdupes
BuildArch:      noarch

%description
Scan data needed for some scanning applications from dvb package and maybe
others. This package contains v3 of the files.

%package v5
Summary:        Scan files for digital TV applications v5
Group:          Hardware/TV

%description v5
Scan data needed for some scanning applications from dvb package and maybe
others. This package contains v5 of the files.

%prep
%setup -q

%build
%make_build dvbv3 dvbv5

%install
%make_install DVBV3DIR=dvb DATADIR=%{buildroot}/%{_datadir} install_v3

%fdupes -s %{buildroot}/%{_datadir}/dvb/
%fdupes -s %{buildroot}/%{_datadir}/dvbv5/

%files
%license COPYING COPYING.LGPL
%{_datadir}/dvb

%files v5
%license COPYING COPYING.LGPL
%{_datadir}/dvbv5

%changelog
* Thu Feb 29 2024 Martin Pluskal <mpluskal@suse.com>
- Update to version 20240207:
  * dtv-scan-tables: added channels for Lviv, Ukraine
* Fri Feb  2 2024 Martin Pluskal <mpluskal@suse.com>
- Update to version 20240131:
  * isdb-t: Update Brazil channel lists
  * dvb-s: drop transponders that aren't there at Lyngsat anymore
  * dvb-s: update from today's Lyngsat report
  * dtv-scan-tables: full uk transmitter update
* Tue Dec 13 2022 Martin Pluskal <mpluskal@suse.com>
- Update to version 20221125:
  * dtv-scan-tables: hu-Digikabel changes
* Mon May  2 2022 Martin Pluskal <mpluskal@suse.com>
- Update to version 20220430:
  * pt-All: fix modulation
  * pt-All: Update Portugal channels
* Thu Mar 10 2022 mpluskal@suse.com
- Update to version 20220307:
  * Update Brazilian ISDB-T tables
  * Update satellite channel lists from Lyngsat
* Mon Dec 27 2021 mpluskal@suse.com
- Update to version 20211214:
  * dtv-scan-tables: latest UK changes
* Wed May 26 2021 Martin Pluskal <mpluskal@suse.com>
- Update to version 20210430:
  * update Brazilian scan files
  * Remove legacy entries
  * Add new satellites from Lyngsat
  * Rename a few satellites with two names and update frequencies
  * Update frequencies from Lyngsat
* Thu Nov  5 2020 Martin Pluskal <mpluskal@suse.com>
- Update to version 20200902:
  * dtv-scan-tables: DVB-C for the City of Munich, Germany, operated by Vodafone
* Wed Sep  2 2020 jslaby@suse.com
- Update to version 20200830:
  * dtv-scan-tables: Full UK update
  * dtv-scan-tables: add table for Slovenia
  * dtv-scan-tables: frequency updates for Finland
  * Add atsc/kr-Cable-8VSB
  * dtv-scan-tables: add Dorfnetz for Liechtenstein
  * Update dvb-t scan files for Ireland (ie-*)
* Tue Mar 31 2020 Martin Pluskal <mpluskal@suse.com>
- Update to version 20200311:
  * Add a table for DVB-C in Dresden (Vodafone)
  * Add scan table for DVB-T2 channels in Perm (Russia)
  * isdb-t: update tables
  * dvb-s: update all tables from LyngSat
  * ke-Nairobi: fix delivery system for two DVB-T2 channels
  * Makefile: fix dvbv3/dvbv5 output
  * Improve Makefile to avoid "Argument list too long" error
  * UPC Czech Republic: added mux 538 MHz with 256 QAM
  * UPC Czech Republic: added more muxes and change QAM/256 on 626 MHz
  * Update Astra-19.2E
- Switch _service to obs_scm
* Wed Oct 17 2018 Martin Pluskal <mpluskal@suse.com>
- Update to version 20180927:
  * Complete UK update Includes some retunes, additional HD mux and Local mux.
  * all current German DVB-T2 muxes (#47)
  * Update pl-Rzeszow
* Mon Jun  4 2018 mpluskal@suse.com
- Update to version 20180510:
  * dtv-scan-tables: dvb-t/es-Zaragoza
  * Remove Anik F1 107.3W
  * Synchronize orbital position naming in filenames
  * Drop Agila 2 146.0E
  * Update Amazonas 3 61.0W
  * Rename ABS1 to ABS2
  * Rename Atlantic Bird 3 to Eutelsat5
  * Remove Atlantic Bird 1
  * dtv-scan-tables - dvb-s - update and rename the config file for Atlantic-Bird-3-5.0W - Ku Band
  * Add another initial transponder for Ziggo/Netherlands. Ziggo and UPC had merged, but the initial UPC transponder is still the correct one for former UPC customers. See also https://gathering.tweakers.net/forum/list_message/31632914#31632914
  * Create es-Huelva
  * Create at-CNI file
  * Update fr-All
* Thu Apr 12 2018 mpluskal@suse.com
- Update to version 20180103:
  * dtv-scan-tables: update all Finnish Digita DVB-T2 transponders
  * Intelsat34-55.5W: update definitions from Vivo streaming
  * scan-tables: add scan file for Shostka, Ukraine
  * dvb-t/at-All: update channels for DVB-T2
  * dtv-scan-tables: Elisa cable-tv (PKS+Riihimäki)
- Run spec-cleaner
* Thu Oct 19 2017 mpluskal@suse.com
- Update to version 20171003:
  * Add scan file for EWCom Goms DVB-C
  * scan-tables: add initial table for Mountain View, California
  * scan-tables: add initial table for San Jose, California
  * Intelsat34-55.5W: add a Ku-Band transponder
  * isdb-t: update existing files with newer channels
  * isdb-t: add new Brazilian cities
  * isdb-t: Delete some wrong channel lists
* Mon Jul 10 2017 mpluskal@suse.com
- Update to version 20170530:
  * dtv-scan-tables - dvb-t - add file for France Paris Eiffel Tower DVB-T transmitters
  * Update au-Adelaide
  * Update au-Newcastle
* Mon Apr 24 2017 mpluskal@suse.com
- Update to version 20170419:
  * Add a new list for USA/CAN
  * Fix Ukraine, Kyiv
  * Update dvb-t/ua-Kyiv with new transponders and corrections
  * dvb-scan-tables: updated Digita frequencies for Finland
  * dtv-scan-tables: add new channels to dvb-t/de-Bayern
* Sun Mar  5 2017 mpluskal@suse.com
- Update to version 20170203:
  * Initial DVB-T2 scan data file for ke-Nairobi (Nairobi, Kenya)
* Sun Jan  8 2017 mpluskal@suse.com
- Update to version 20161227:
  * Add scan file for fi-kaisa
  * dvb-t/es-Asturias: whitespace fixes
  * Create pl-Krosno_Sucha_Góra
  * Create pl-Warszawa
  * UPC Česká republika - value adjustment for FEC
  * Rename pl-Krosno_Sucha_Gora with only ASCII characters
  * renaming NTSC file because it doesnt actually use 8VSV, updating channel listings, add channel numbers
  * ca-ON-Toronto: adding scan file for Toronto, Canada, added channel numbers
  * DVB-T2 for ug-All, Kampala
  * DVB-T2 channels with Russia channel range and Vladivostok
- Update _service file to generate changelog as well
- Small spec file cleanup
- Send to Leap (boo#1018436)
* Wed Oct 28 2015 seife+obs@b1-systems.com
- fix build against Leap in vdr project
* Tue Apr  7 2015 jslaby@suse.com
- update to 20150208
  * updated scan files
- use their makefile
- install v5 dvb files (in a subpackage)
* Sun Mar 30 2014 seife+obs@b1-systems.com
- add BuildRoot: to allow build on SLES11
* Mon May 20 2013 jslaby@suse.com
- update to 20130412
  * updated scan files
  * added license files (drop our copy)
* Thu Jan 17 2013 jslaby@suse.com
- new package
